AutoCAD .NET :: Clone Block With Points

Jul 21, 2013

I have a object which im cloning and moving along a path.I am finding the GeometricExtentsBestFit points of the block and plotting in the drawing.I want to clone the object with these points.

Dim bref As BlockReference = actran.GetObject(idsBox(0), OpenMode.ForWrite).
Dim BlockCloneNew As BlockReference = bref.Clone()
Dim bestFit AsExtents3d = bref.GeometryExtentsBestFit
Dim bestfitMin As Point3d = bestFit.MinPoint
Dim bestfitMax1 As Point3d = bestFit1.MaxPoint 

View 7 Replies


ADVERTISEMENT

AutoCAD Civil 3D :: Inserting A Block Deletes Points With Point Style With Same Block

Oct 16, 2013

We're using C3D 2013 SP2.  The survey company we use uses point styles to show the blocks.  Say they shoot a catchbasin.  Instead of inserting the block, the point shows up as the block.

I did a field check & needed to insert a missed CB.  When I inserted the block, the other points that were CBs disappeared.  I had to insert the block, copy it the clipboard, undo the insertion & then paste the block in.  It did this on other drawings & other blocks.

View 7 Replies View Related

AutoCAD Inventor :: Error In RSe Clone Commander On Derive From Part With Sketch Block

Nov 19, 2012

I have a surface model of a bin that I am going to use as a master for deriving sheet metal parts for each side of the bin. After creating Sketch 9, which defines the mating flanges of the sheets, I repeatedly get the error noted in the subject when I try creating a derived part from this file.

I narrowed the problem down to the sketch block I used to define the square holes or more specifically a dimension that appears in this sketch block. I originally drew the circle with the square around it within Sketch 9 and then used the Create Block command. Then I patterned the block along the edges and made the pattern symmetric about the mid point of the edge and placed the hole half way out on the flange. (Flange width is set as a user parameter "FlangeWidth"(1.5") and distance to hole is "FlangeWidth/2" or even just a raw value of 0.75").

Now once this dimension is added to the sketch it will also appear in the block editor for the 5-16 Carriage Square block. If this is deleted from the sketch and the block definition and the pattern of holes are left unconstrained in this one direction a derived part can be successfully made. BUT if a dimension is added to the sketch it will trickle down to the block definition and now a derived part will fail...

I realized that my holes are to be on the midline of the flange so I can constrain them there without a dimension and so I can work around this. I just didn't think dimensions to geometry not included in a block were added to the block definition.

Inventor 2013 x64 sp1.1
Workstation Specs:
Dell T7500 Dual Xeon E5620 @2.40Ghz 8GB Ram
NVIDIA Quadro FX580 4GB, Windows 7 x64 sp1

View 1 Replies View Related

AutoCad :: LSP To Replace Points In A Drawing Into Block

Dec 15, 2011

I'm using an LSP to replace points in a drawing into a block. I've had this working previously, no problems. However, having spent some time creating new blocks when running the LSP the points are being replaced at a different location in the drawing - rendering the whole process useless.

I get the impression this is caused by the block itself rather than the LSP. What am I doing wrong that would cause this effect?

View 1 Replies View Related

AutoCAD .NET :: Insert Block On Multiple Selected Points

Apr 20, 2012

I am trying to put something together that will allow a user to select objects in AutoCAD and then place a block at all the selected points. 

Below I have pasted the code that I have so far, but have not been able to test this to see what happens because the Dim ofd part is giving me an error that I have not been able to figure out. 

The error that I am getting says that :

Argument not specified for parameter "flags" of "Public Sub New(title As String, defaultName As String, extension As String, dialogName As String, flags As Autodesk.AutoCAD.Windows.OpenFileDialog.OpenFileDialogFlags)

Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.EditorInput
Imports Autodesk.AutoCAD.Geometry
[code]......

View 9 Replies View Related

AutoCAD 2010 :: Align Block With 2 Points On Line?

Sep 4, 2012

I would like to make a block with 2 points and I would like them to follow a line with those 2 points..

Same as you can use the measure command to put blocks on a line with a pitch distance I would like to do the same but the block schould snap with 2 points on the line.

View 9 Replies View Related

AutoCAD 2013 :: Insert A Block Using Selection Of Points

May 20, 2013

I'd like to insert a block into a big selection of points. Any way or have I to look at customization routines.

View 3 Replies View Related

AutoCad :: Block With Coordinates - Read Points In Drawing?

May 13, 2011

I'm trying to make a standard block which will automatically read the co-ordinates! i have started making it trying to use fields, but when inserting the block into the drawing it stays at x=0, y=0, which is the point in the block. how do i get it to read the point in the drawing, and also how would i always get it to read the world ucs.

i have attached the block i've started, haven't added any dynamics yet as i'm just testing it.

View 1 Replies View Related

AutoCAD 2010 :: Stretch Dynamic Block Grip Points

Jan 24, 2013

I have created a dynamic block with stretch points. I used the tester in the block editor and all works fine, but when I insert the block into a drawing, the grips for the stretch action are in a completely different place...I don't mean a different place on the block, but a different place in the drawing...way out there. so if I go into the block editor for the block while I'm in the drawing...the parameters have now moved way out of the way also, in the block...but if I actually open up the block itself and then go into the block editor, all the parameters are where i placed them in the first place.

View 1 Replies View Related

AutoCAD Civil 3D :: Cogo Points Explode To Block Reference

Oct 7, 2013

I got a survey that has hundreds of cogo points. I need to bring this into a mapping dwg but not as cogo points. What's already in the map file is block reference (trees, power poles, signs, etc.). When I explode the cogo points (select all) they turn into 1/100th of the size (although the Properties scale hasn't changed). If I explode one by one, they are fine. how I can get these cogo points into the map dwg as block reference at the correctoriginal size?

C3D 2012 sp1
W7Pro 64bit
HP Z400 Workstation
16 GB RAM
Intel Xeon CPU W3565@3.20GHz
NVIDIA Quadro 4000

View 3 Replies View Related

AutoCAD Civil 3D :: Quickly Add Points At The Insertion Point Of A Block?

Nov 8, 2012

how I can quickly add points at the insertion point of a block?  I have over 1400 and would like to find the quickest way to do it.

View 7 Replies View Related

AutoCad 2D :: Insert Multiple Block (like Points) Using Excel Concatenate Function?

Nov 27, 2013

So i have a simple block of basically a point. i also have alot of points to input. I know i can attribute the block with promts such as levels or dates etc.. but is there a way to make the block do this by itself when level is already entered? also is there a way to insert multiple block (like the points) using excel concatenate function? or can i input the points and have date and level shown in a text form?

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: How To Insert Block To Points Taken From Txt File

Jun 28, 2013

I got this code in a web trawl to insert a block to points taken from a txt file......

its coming back with an error as follows:

; === Top statistic:
; Function definition (with number of arguments): ((C:INSERTBLOCKS . 0))
; Check done.

What does this mean and how can I fix it.

(defun c:insertBlocks (/ txtFile xyData expertVar attreqVar)(setq expertVar (getvar "expert"))
(setq attreqVar (getvar "attreq"))
(setvar "expert" 2)(setvar "attreq" 0)
(setq txtFile (open "c:\cad\textfile.txt" "r")) ;

[Code] ......

View 3 Replies View Related

AutoCAD Civil 3D :: Manipulate Block Attributes (blocks Created From Cogo Points)

Jan 3, 2013

Is there a way to change the default attributes "POINT, ELEV, DESC" to a different setup/style? (E.G., the point label style from the point which the block originated from?).

AutoCad 2011 & Civil3D 2011. Product Version 3.
EliteBook 8560w
Intel i7 CPU 2820QM @ 2.3GHz
8 GB RAM
NVIDIA Quadro 1000M
Windows 7 Enterprise 32 Bit

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Align Block With Two Selected Destination Points

May 13, 2013

I am trying to write a program to align a block with two selected destination points. 
- first the user is prompted to select a lwpolyline of a block entity
- then he is prompted to pick two destination points

I face problem with the sub-routine SegmentPts. It is supposed to return the coordinates of two vertexes on both sides of the picked point on a lwpolyline using entsel. But here in my program, when i am picking a point using entsel on a lwpolyline inside a block entity, it is not returning the two vertexes on both sides of the picked point. In stead, it returns some other points of the selected LWPOLYLINE. Why it is doing so? Where is the problem in my program?

It works fine with my other programs where i pick on a LWPOLYLINE entity. In this particular case, the LWPOLYLINE is inside a Block entity and the program is not returning correct points.

Please check Lisp Program below:

(defun C:alb()
(setq ent1 (entsel "
Pick on one side of LWLINE ofa Block:" ))
(setq ent (nentselp (cadr ent1)))
[code]........

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Insert North Block Oriented On Two Selected Points

Sep 19, 2012

I am trying to insert a norht block oriented on two selected points with the following

(defun c:North ( / ss )
 ;Orientate North Symbol
 (setq oldos (getvar "osmode"))
 (setq blk (vlax-ename->vla-object (car (entsel "

[Code] .......

I am not sure how to (a) erase the selected north block, then (b) make the  insert north block in its place bit work.

View 6 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Creating (arrow) Block With Two Points For Positioning And Orientation

Jul 13, 2013

I'm trying to create a model of arrow with which I could place in drawing in any length and orientation I want with lisp. I was imaging to place two point on this arrow and by placing the two points on my drawing, the length and orientation of the arrow would be define.

I'm trying for hours to create it and my grip for polar stretching don't stay still on my arrow (suppose to be on the peak but go far if I stretch it).

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Insert Dynamic Block And Modify Stretch Points

Nov 30, 2010

I have a dynamic block that I would like to insert via a lisp routine. When the routine is run from my menu I would like to select two points on the drawing area. Then I would like my dynamic block to be inserted at one of the points I selected and then I would like a specific "point" of my block to be stretched to the other point that I selected. I was wondering if this is possible with LISP? I have my old LISP program I wrote that draws a leader and then inserts my block but that was before I started working with dynamic blocks.

Here is my current

(defun c:wldsym()
(setq osnapold (getvar "osmode"))
(setq orthold (getvar "orthomode"))
(setq dimsc (getvar "dimscale"))
[code]...........  
  
wld1r.dwg is my current block. It has some dynamic properties already. But I'm trying to add new properties that can be seen in my working test drawing wld1r-new.dwg

When using my code with "wld1r.dwg" you can see how everything behaves right now. Then open "wld1r-new.dwg" and note that the insertion point and a stretch point my default are in the same spot. Work with the two stretch points and look at how the block reacts.

View 9 Replies View Related

Photoshop Elements :: Could Not Use Clone Stamp Tool Because Area To Clone Has Not Been Defined

Nov 23, 2013

Could not use the clone stamp tool because the area to clone has not been defined (option-click to define a source point). this is what shows up in the command box when ever I click to start to pick the spot i want to use as the clone. makes my cloning tool useless. I have reset the tools restrted my computer.

View 1 Replies View Related

Photoshop Elements :: Change From Clone Pattern To Clone Stamp?

Feb 12, 2014

How do I change from clone pattern to clone stamp

View 1 Replies View Related

Lightroom :: V5 Clone Tool - Does Not Select Area To Clone From

Nov 4, 2013

clone tool has worked fine, but now it does not select an area to clone from?

View 1 Replies View Related

AutoCAD Dynamic Blocks :: Stretch Dynamic Block Grip Points

Feb 4, 2011

I have successfully created a dynamic block. I can insert it into AutoCAD, and it behaves like I want, except for one thing.

I can select the block and change it by taking a grippoint and place it at another position. So my block is e.q. stretched, just like I wanted.

But then. When I want to use the ordinary STRETCH command of AutoCAD, I can only stretch the insertion point of the block, but not the grippoints. Is there a way to set a grippoint to be select edable by commands like STRETCH.

View 9 Replies View Related

GIMP :: Clone Tool Won't Clone

Jan 12, 2012

I'm trying to use the clone tool to erase creases around an eye.

I have the layer with the eye in it active, I choose the clone tool, I hit CTRL and click the area of flesh around the eye I want to copy, I see a moving outline of the flesh that's being copied, It works spiffingly! I change brush size to work in a smaller area, I hit CTRL and click the area of flesh I want to copy, I see a moving outline of the flesh I want to copy, But nothing! My cursor moves, but no cloning going on.

This has been plaguing me for a while but I've had projects going that I didn't want to interrupt. It's gotten to the point that I just can't take it anymore. I really need the clone tool for this phase of this project

View 14 Replies View Related

AutoCAD Civil 3D :: Export Points To Datacollector And Create Points List

Feb 8, 2013

I had to create a boundary map and place points to all corners. How to export these newly created points back into my data collector (Ranger) and also I'm trying to figure out how to print out a points list. 

I stumbled on to this thread but I guessing that it's a different CAD year because my modify tab doesn't look like this. URL.....

View 4 Replies View Related

AutoCAD Civil 3D :: Large Surface - Converting Points To Cogo Points

Mar 5, 2013

I have a large surface (over 1.5 million points and 20 000hectares)

I need to get a point file .csv from the TIN to be able to use it in another program.

-so i've extracted the points from my surface, but they are Autocad points.

-next step is to convert them to civil 3d points.

-I can not select them all when converting them or my computer crashes.

-so i select about 25 000 at a time, the converting takes roughly 10 minutes.

and i have over 1.5 million points to do.

how can i speed this up.

will more ram useful?

View 9 Replies View Related

AutoCad :: Converting Land Desktop AECC Points To Cogo Points

May 17, 2013

there is a way to convert land desktop aecc points to cogo points and use the full description?

I do not have access to the ldt files nor to the Descriprion keys file. It would be nice if there was an option to preserve full descriptions when converting (that would be just too simple).

View 0 Replies View Related

AutoCAD Civil 3D :: Converting Points To COGO Points Naming?

Oct 9, 2012

I have recieved a file with many points and would like to convert them into COGO points in Civil 3D. The problem is; I would like to keep the hole ID's as I convert, I've made a few conversions and lose the hole ID every time (not showing in Name or Description). Is there a seting I am missing to keep these? My aim to to organize the COGO points in different point groups.

View 3 Replies View Related

AutoCAD Civil 3D :: Designating Points As Control Points

Aug 17, 2012

I have a couple points that were part of an import event (data from a previous project) which I want to assign as control points for an incoming traverse, is there any way to assign those as control points?  I can't seem to find a way to do that other than perhaps re-importing the specific points as control points and overwriting the existing ones.

View 2 Replies View Related

AutoCAD Civil 3D :: Moving Points Out Of All Points Group?

Apr 10, 2013

I have a project that was started by leaving all the survey data inside the "All Points" group.  So, I'm concerned that when I enter my as built survey points, that even if I put them into their own group, that the original surface will still look at them and just rebuild to my asbuilt data, effectively cancel out the purpose of the asbuilt survey.  Will this happen? 

I want to take the original points and put them into a group of their own, but I don't know if that will affect anything or not?  I have several wetlands already designed on that surface with volume calcs already done too. 

What should I do? 

View 9 Replies View Related

AutoCAD 2010 :: Absolute Points And Relative Points

Aug 9, 2012

what absolute points and relative points are in AutoCAD. What is the difference?

View 8 Replies View Related

AutoCad :: Plot Points - Using Distances From Two Known Points?

Jul 31, 2011

I have two locations marked by steel stakes on my land that are also shown on a CAD drawing. The CAD drawing is two dimensional; however, contours are shown. I have physically measured distances between these two known points and numerous other locations that I wish to plot on the CAD drawing. I could always print the CAD drawing to scale and plot the new points on the CAD printout by using the two known locations, a compass to draw arcs and locating the new points by where the arcs intersect. I am sure there is a much more efficient way to plot these new points within the CAD program itself. I have just started to use CAD;

View 1 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved